fix(cli): split tput call into two separate calls

This fixes an issue where, on some systems, `tput cols lines` does not
produce "N\nM" (where N = number of columns in the terminal and M =
number of lines), and instead produces "N\n", causing parsing errors.
This commit is contained in:
Henrik Lissner 2022-06-19 02:39:22 +02:00
parent 8816508d6c
commit beef0aef02
No known key found for this signature in database
GPG key ID: B60957CA074D39A3
2 changed files with 2 additions and 2 deletions

View file

@ -5,7 +5,7 @@
:; [ -z "$tmpdir" ] && { >&2 echo "Error: failed to run Emacs with command '$EMACS'"; >&2 echo; >&2 echo "Are you sure Emacs is installed and in your \$PATH?"; exit 1; } :; [ -z "$tmpdir" ] && { >&2 echo "Error: failed to run Emacs with command '$EMACS'"; >&2 echo; >&2 echo "Are you sure Emacs is installed and in your \$PATH?"; exit 1; }
:; export __DOOMPID="${__DOOMPID:-$$}" :; export __DOOMPID="${__DOOMPID:-$$}"
:; export __DOOMSTEP="$((__DOOMSTEP+1))" :; export __DOOMSTEP="$((__DOOMSTEP+1))"
:; export __DOOMGEOM="${__DOOMGEOM:-`tput cols lines 2>/dev/null`}" :; export __DOOMGEOM="${__DOOMGEOM:-`tput cols 2>/dev/null`x`tput lines 2>/dev/null`}"
:; export __DOOMGPIPE=${__DOOMGPIPE:-$__DOOMPIPE} :; export __DOOMGPIPE=${__DOOMGPIPE:-$__DOOMPIPE}
:; export __DOOMPIPE=; [ -t 0 ] || __DOOMPIPE+=0; [ -t 1 ] || __DOOMPIPE+=1 :; export __DOOMPIPE=; [ -t 0 ] || __DOOMPIPE+=0; [ -t 1 ] || __DOOMPIPE+=1
:; $EMACS -Q --batch --load "$0" -- "$@" || exit=$? :; $EMACS -Q --batch --load "$0" -- "$@" || exit=$?

View file

@ -578,7 +578,7 @@ Throws `doom-cli-invalid-option-error' for illegal values."
;; The geometry of the terminal window. ;; The geometry of the terminal window.
(geometry (when-let* ((geom (getenv "__DOOMGEOM")) (geometry (when-let* ((geom (getenv "__DOOMGEOM"))
((not (string-blank-p geom))) ((not (string-blank-p geom)))
(geom (split-string geom "\n"))) (geom (split-string geom "x")))
(cons (string-to-number (car geom)) (cons (string-to-number (car geom))
(string-to-number (cadr geom))))) (string-to-number (cadr geom)))))
;; Whether the script is being piped into or out of ;; Whether the script is being piped into or out of